Tp::BaseConnectionAliasingInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseConnectionAliasingInterface Class Reference
Connection manager service implementation

Base class for implementations of Connection.Interface.Aliasing. More...

`#include <TelepathyQt/BaseConnection>`

Inherits Tp::AbstractConnectionInterface.

## Public Types
typedef Callback1 < Tp::ConnectionAliasFlags, DBusError * > | GetAliasFlagsCallback
typedef Callback2< QStringList, const Tp::UIntList &, DBusError * > | RequestAliasesCallback
typedef Callback2 < Tp::AliasMap, const Tp::UIntList &, DBusError * > | GetAliasesCallback
typedef Callback2< void, const Tp::AliasMap &, DBusError * > | SetAliasesCallback

## Public Member Functions
virtual | ~BaseConnectionAliasingInterface ()
QVariantMap | immutableProperties () const
void | setGetAliasFlagsCallback (const GetAliasFlagsCallback &cb)
Tp::ConnectionAliasFlags | getAliasFlags (DBusError *error)
void | setRequestAliasesCallback (const RequestAliasesCallback &cb)
QStringList | requestAliases (const Tp::UIntList &contacts, DBusError *error)
void | setGetAliasesCallback (const GetAliasesCallback &cb)
Tp::AliasMap | getAliases (const Tp::UIntList &contacts, DBusError *error)
void | setSetAliasesCallback (const SetAliasesCallback &cb)
void | setAliases (const Tp::AliasMap &aliases, DBusError *error)
void | aliasesChanged (const Tp::AliasPairList &aliases)
Public Member Functions inherited from Tp::AbstractConnectionInterface
| AbstractConnectionInterface (const QString &interfaceName)
virtual | ~AbstractConnectionInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseConnectionAliasingInterfacePtr | create ()
template<typename BaseConnectionAliasingInterfaceSubclass >
static SharedPtr < BaseConnectionAliasingInterfaceSubclass > | create ()

## Protected Member Functions
| BaseConnectionAliasingInterface ()
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Connection.Interface.Aliasing.

## Member Typedef Documentation

typedef Callback1<Tp::ConnectionAliasFlags, DBusError*> Tp::BaseConnectionAliasingInterface::GetAliasFlagsCallback

typedef Callback2<QStringList, const Tp::UIntList &, DBusError*> Tp::BaseConnectionAliasingInterface::RequestAliasesCallback

typedef Callback2<Tp::AliasMap, const Tp::UIntList &, DBusError*> Tp::BaseConnectionAliasingInterface::GetAliasesCallback

typedef Callback2<void, const Tp::AliasMap &, DBusError*> Tp::BaseConnectionAliasingInterface::SetAliasesCallback

## Constructor & Destructor Documentation

Tp::BaseConnectionAliasingInterface::~BaseConnectionAliasingInterface | ( |  | ) |
| virtual

Class destructor.

Tp::BaseConnectionAliasingInterface::BaseConnectionAliasingInterface | ( |  | ) |
| protected

Class constructor.

## Member Function Documentation

static BaseConnectionAliasingInterfacePtr Tp::BaseConnectionAliasingInterface::create | ( |  | ) |
| inlinestatic

template<typename BaseConnectionAliasingInterfaceSubclass >

static SharedPtr<BaseConnectionAliasingInterfaceSubclass> Tp::BaseConnectionAliasingInterface::create | ( |  | ) |
| inlinestatic

QVariantMap Tp::BaseConnectionAliasingInterface::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

void Tp::BaseConnectionAliasingInterface::setGetAliasFlagsCallback | ( | const GetAliasFlagsCallback & | cb | ) |

Tp::ConnectionAliasFlags Tp::BaseConnectionAliasingInterface::getAliasFlags | ( | DBusError * | error | ) |

void Tp::BaseConnectionAliasingInterface::setRequestAliasesCallback | ( | const RequestAliasesCallback & | cb | ) |

QStringList Tp::BaseConnectionAliasingInterface::requestAliases | ( | const Tp::UIntList & | contacts,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionAliasingInterface::setGetAliasesCallback | ( | const GetAliasesCallback & | cb | ) |

Tp::AliasMap Tp::BaseConnectionAliasingInterface::getAliases | ( | const Tp::UIntList & | contacts,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionAliasingInterface::setSetAliasesCallback | ( | const SetAliasesCallback & | cb | ) |

void Tp::BaseConnectionAliasingInterface::setAliases | ( | const Tp::AliasMap & | aliases,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionAliasingInterface::aliasesChanged | ( | const Tp::AliasPairList & | aliases | ) |